#
# spec file for package cinnamon-translations
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cinnamon-translations
Version:        3.2.2
Release:        1.1
Summary:        Translation files for the Cinnamon desktop
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/cinnamon-translations
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  filesystem
BuildArch:      noarch

%description
The package contains the translation files for the Cinnamon packages.

%prep
%setup -q

%build
# Nothing to build.

%install
make buildmo

mkdir -p %{buildroot}%{_datadir}/locale/
# Only get locales that are present in openSUSE.
ls %{_datadir}/locale/ | while read lang; do
    if [ -d .%{_datadir}/locale/$lang/ ]; then
        cp -a .%{_datadir}/locale/$lang/ %{buildroot}%{_datadir}/locale/
    fi
done
%find_lang cinnamon %{name}.lang
%find_lang cinnamon-control-center %{name}.lang
%find_lang cinnamon-screensaver %{name}.lang
%find_lang cinnamon-bluetooth %{name}.lang
%find_lang nemo %{name}.lang

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING debian/changelog

%changelog
* Thu Dec 15 2016 sor.alexei@meowr.ru
- Update to version 3.2.2:
  * Update translations.
* Thu Nov 10 2016 sor.alexei@meowr.ru
- Update to version 3.2.1:
  * Update translations.
* Tue Nov  8 2016 sor.alexei@meowr.ru
- Update to version 3.2.0:
  * No changelog available.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 3.0.3:
  * Update translations.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 3.0.2 (changes since 3.0.0):
  * Remove mocheck (already in mint-translations).
  * Update translations.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 3.0.0:
  * Mocheck: Specify GTK+ version with GI.
  * Mocheck: Delete trailing spaces.
  * Mocheck: Fix more false positives.
  * Filter Xapps PO files in cleanup script.
  * Update translations.
* Sat Nov 28 2015 sor.alexei@meowr.ru
- Update to 2.8.3:
  * Update translations.
* Sat Nov 14 2015 sor.alexei@meowr.ru
- Update to 2.8.2:
  * Update translations.
* Mon Nov  9 2015 sor.alexei@meowr.ru
- Update to 2.8.1 (changes since 2.6.3):
  * Update translations.
* Sun Oct 18 2015 sor.alexei@meowr.ru
- Update to 2.6.3:
  * Update translations.
- Install locales into a correct directory.
* Tue Jun  2 2015 stefan@fam-elser.de
- update to version 2.6.2
* Thu Apr 23 2015 stefan@fam-elser.de
- update to verison 2.4.4
* Wed Nov  5 2014 i@marguerite.su
- update version 2.4.0
* Tue Jul 15 2014 i@marguerite.su
- update version 2.3.0
  * update translations
* Mon May 26 2014 stefan@fam-elser.de
- update version 2.2.3
* Mon May 19 2014 stefan@fam-elser.de
- update version 2.2.2
* Sat Apr 19 2014 i@marguerite.su
- update version 2.2.0
* Tue Nov 26 2013 johann.luce@wanadoo.fr
- Update version 2.0.3
  * Updated translations
* Fri Nov  8 2013 johann.luce@wanadoo.fr
- Updated to version 2.0.2
  * Updated translations
* Sun Oct 27 2013 i@marguerite.su
- copypac from home:cyberorg:cinnamon
- cleanup
* Thu Oct 10 2013 stefan@fam-elser.de
- Updated to version 2.0.1
* Fri Oct  4 2013 stefan@fam-elser.de
- Initial Release with version 2.0.0
